View Issue Details

IDProjectCategoryView StatusLast Update
0003459SOGoBackend Calendarpublic2016-03-16 08:53
Reporterrogiervandervelde Assigned Tofrancis  
PrioritynormalSeverityminorReproducibilityalways
Status resolvedResolutionfixed 
Platform[Server] LinuxOSRHEL/CentOSOS Version7
Fixed in Version2.3.9 
Summary0003459: Cannot use spaces in calendar title field when typing in Japanese
Description

When creating or editing an event, typing in Japanese and using spaces in the title, I'm unable to save the event in the calendar (from the webinterface). When using it on my phone, the event is not synchronised to the server. When removing the spaces, I'm able to save the event.

Steps To Reproduce

Create a new event
Type in Japanese and add a space between words

TagsNo tags attached.

Activities

francis

francis

2016-01-26 23:54

administrator   ~0009334

Please specify your version of SOGo.

rogiervandervelde

rogiervandervelde

2016-01-27 03:22

reporter   ~0009335

Last edited: 2016-01-27 03:33

View 2 revisions

I'm running the latest version:
Version 2.3.7 (root@shiva.inverse 201601251155)

Edit: This is no longer the latest, just updated to: Version 2.3.7a (root@shiva.inverse 201601261214), but it's the same. When I'm typing the spaces with the Japanese IME, I cannot save the event, but when I'm using the normal keyboard spaces in the Japanese text, I can save the event.

Christian Mack

Christian Mack

2016-01-27 03:52

developer   ~0009336

Which browser and which OS?

rogiervandervelde

rogiervandervelde

2016-01-27 04:42

reporter   ~0009337

Last edited: 2016-01-27 05:12

View 4 revisions

I've tried Chrome, Firefox and Internet Explorer on Windows 7 and 10. Events entered in the calendar on my Android Phone with spaces in the Japanese title are not synced to the server.

SOGo server error in the log:
EXCEPTION: <NSException: 0x7f8fb4b77088> NAME:NSInvalidArgumentException REASON:Tried to add nil to array INFO:(null)

francis

francis

2016-03-15 16:11

administrator   ~0009752

Please try the next nightly builds (available tomorrow).

rogiervandervelde

rogiervandervelde

2016-03-16 08:25

reporter   ~0009758

Hi Francis,

Thank you for your response. I've installed the nightly's and tested with input. I can confirm that I'm now able to save events with Japanese titles again (I later found that using different combinations of Japanese character resulted in different results, some where synched, others where not).

Can I change the repo back to the non-nightly version and just update to the regulair version on the next release?

francis

francis

2016-03-16 08:53

administrator   ~0009759

Yes you can.

Issue History

Date Modified Username Field Change
2016-01-26 23:53 rogiervandervelde New Issue
2016-01-26 23:54 francis Note Added: 0009334
2016-01-27 03:22 rogiervandervelde Note Added: 0009335
2016-01-27 03:33 rogiervandervelde Note Edited: 0009335 View Revisions
2016-01-27 03:52 Christian Mack Note Added: 0009336
2016-01-27 04:42 rogiervandervelde Note Added: 0009337
2016-01-27 04:43 rogiervandervelde Note Edited: 0009337 View Revisions
2016-01-27 04:53 rogiervandervelde Note Edited: 0009337 View Revisions
2016-01-27 05:12 rogiervandervelde Note Edited: 0009337 View Revisions
2016-03-15 16:11 francis Note Added: 0009752
2016-03-16 08:25 rogiervandervelde Note Added: 0009758
2016-03-16 08:53 francis Note Added: 0009759
2016-03-16 08:53 francis Status new => resolved
2016-03-16 08:53 francis Fixed in Version => 2.3.9
2016-03-16 08:53 francis Resolution open => fixed
2016-03-16 08:53 francis Assigned To => francis